"Google's LocationClient is deprecated"라는 경고를 받았을 때 어떻게 해야 하나요?

만약 당신이 이 글을 읽고 있다면 아마 당신은 다음의 경고를 봤을 것입니다:

Warning:com.vungle.publisher.location.GoogleLocationClientDetailedLocationProvider: can't find referenced class com.google.android.gms.location.LocationClient

첫번째로 알아야 할 것은 만약 당신이 위의 경고를 봤다 하더라도 불안해 할 필요가 없다는 것입니다. 이것은 경고라서 광고를 보여주는 것에 영향을 미치지 않습니다.

우리가 Location client가 사라질 예정임에도 참조를 포함하는 이유는 하위호환성을 보장하기 위해서 입니다. 이것은 개발자와 최신 구글 플레이 서비스 버전(4.0.30이상)이 아닌 기기 모두를 포함합니다.

벙글 SDK는 이러한 버전들에서 제대로 컴파일되고 실행됩니다. 다만 이 컴파일 경고는 최신 버전을 사용을 위한 구글의 추천 때문에 최근 버전들에서 보여질 뿐입니다. 이러한 경고들을 무시해도 좋고, 경고들 때문에 당신의 빌드 프로세스에 영향을 미친다면 컴파일 flag들을 꺼도 됩니다.

우리는 우리의 모든 고객들과 그들의 유저들이 그들 기기의 구글 플레이 서비스를 업데이트하기를 기대할 수 없으므로 하위호환성을 포함하기 위해 노력하고 있습니다.

또 다른 질문이 있으십니까? 문의 등록

댓글